## r-cran-pillar 1.0.1

=== DESCRIPTION ===
Package: pillar
Title: Coloured Formatting for Columns
Version: 1.0.1
Authors@R: c(
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", role = c("aut", "cre")),
    person("Hadley", "Wickham", role = "aut"),
    person("RStudio", role = "cph")
  )
Description: Provides a 'pillar' generic designed for formatting columns
   of data using the full range of colours provided by modern terminals.
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/hadley/pillar
BugReports: https://github.com/hadley/pillar/issues
Imports: cli, crayon (>= 1.3.4), methods, rlang, utf8
Suggests: knitr, testthat
RoxygenNote: 6.0.1
Collate: 'compat-purrr.R' 'dim.R' 'extent.R' 'multi.R' 'ornament.R'
        'pillar.R' 'rowid-data.R' 'rowid-title.R' 'rowid-type.R'
        'scientific.R' 'shaft.R' 'shaft-simple.R' 'sigfig.R'
        'spark-bar.R' 'spark-line.R' 'strrep.R' 'styles.R' 'testthat.R'
        'tick.R' 'title.R' 'type-sum.R' 'type.R' 'utils.R' 'width.R'
        'zzz.R'
NeedsCompilation: no
Packaged: 2017-11-27 10:31:09 UTC; muelleki
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2017-11-27 10:34:24 UTC

=== debian/changelog ===
r-cran-pillar (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #887094)

 -- Andreas Tille <tille@debian.org>  Sat, 13 Jan 2018 20:11:50 +0100

=== debian/control ===
Source: r-cran-pillar
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-r,
               r-base-dev,
               r-cran-crayon (>= 1.3.4),
               r-cran-rlang,
               r-cran-cli,
               r-cran-utf8
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
Homepage: https://cran.r-project.org/package=pillar

Package: r-cran-pillar
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R coloured formatting for columns
 This GNU R package provides a 'pillar' generic designed for formatting
 columns of data using the full range of colours provided by modern
 terminals.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/pillar_([-\d.]*)\.tar\.gz

## r-cran-pillar 1.2.1

=== debian/changelog ===
r-cran-pillar (1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 18:19:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-cli,
                r-cran-utf8
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar

## r-cran-pillar 1.3.0

=== debian/changelog ===
r-cran-pillar (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * New Build-Depends: r-cran-fansi
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Wed, 15 Aug 2018 09:56:29 +0200

r-cran-pillar (1.2.3-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 08:42:42 +0200

r-cran-pillar (1.2.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 26 May 2018 21:55:20 +0200

r-cran-pillar (1.2.2-2) unstable; urgency=medium

  * Indicate that this version breaks: r-cran-hms (<< 0.4.2~)
                                       r-cran-tibble (<< 1.4.2~)
  * Add test Depends: r-cran-lubridate
  * Run tests in C.UTF-8 instead of C locale
  * Update Maintainer

 -- Graham Inggs <ginggs@debian.org>  Thu, 10 May 2018 14:15:12 +0000

r-cran-pillar (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sat, 28 Apr 2018 10:27:21 +0200

=== debian/control ===
Source: r-cran-pillar
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-crayon (>= 1.3.4),
               r-cran-fansi,
               r-cran-rlang,
               r-cran-utf8
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
Homepage: https://cran.r-project.org/package=pillar

Package: r-cran-pillar
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Breaks: r-cran-tibble (<< 1.4.2~)
Description: GNU R coloured formatting for columns
 This GNU R package provides a 'pillar' generic designed for formatting
 columns of data using the full range of colours provided by modern
 terminals.

## r-cran-pillar 1.3.1

=== DESCRIPTION ===
Package: pillar
Title: Coloured Formatting for Columns
Version: 1.3.1
Authors@R: c(
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", role = c("aut", "cre")),
    person("Hadley", "Wickham", role = "aut"),
    person("RStudio", role = "cph")
  )
Description: Provides a 'pillar' generic designed for formatting columns
   of data using the full range of colours provided by modern terminals.
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/r-lib/pillar
BugReports: https://github.com/r-lib/pillar/issues
Imports: cli (>= 1.0.0), crayon (>= 1.3.4), fansi (>= 0.4.0), methods,
        rlang (>= 0.3.0.1), utf8 (>= 1.1.3)
Suggests: knitr (>= 1.19), lubridate (>= 1.7.4), testthat (>= 2.0.0),
        withr (>= 2.1.2)
RoxygenNote: 6.1.1
Collate: 'capital.R' 'compat-purrr.R' 'dim.R' 'extent.R' 'multi.R'
        'ornament.R' 'pillar-package.R' 'pillar.R' 'rowid-capital.R'
        'rowid-data.R' 'rowid-title.R' 'rowid-type.R' 'scientific.R'
        'shaft.R' 'shaft-simple.R' 'sigfig.R' 'spark-bar.R'
        'spark-line.R' 'strrep.R' 'styles.R' 'testthat.R' 'tick.R'
        'title.R' 'type-sum.R' 'type.R' 'utils.R' 'width.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2018-12-15 16:32:35 UTC; kirill
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2018-12-15 17:00:03 UTC

=== debian/changelog ===
r-cran-pillar (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 11:11:16 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                r-cran-cli,
                r-cran-crayon (>= 1.3.4),
                r-cran-fansi,
-               r-cran-rlang,
+               r-cran-rlang (>= 0.3.0.1),
                r-cran-utf8
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar

## r-cran-pillar 1.4.2

=== debian/changelog ===
r-cran-pillar (1.4.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Build-Depends: r-cran-vctrs

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 09:29:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-cli,
                r-cran-crayon (>= 1.3.4),
                r-cran-fansi,
-               r-cran-rlang (>= 0.3.0.1),
-               r-cran-utf8
-Standards-Version: 4.2.1
+               r-cran-rlang,
+               r-cran-utf8,
+               r-cran-vctrs
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar

## r-cran-pillar 1.4.3

=== DESCRIPTION ===
Package: pillar
Title: Coloured Formatting for Columns
Version: 1.4.3
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides 'pillar' and 'colonnade' generics designed
    for formatting columns of data using the full range of colours
    provided by modern terminals.
License: GPL-3
URL: https://github.com/r-lib/pillar
BugReports: https://github.com/r-lib/pillar/issues
Imports: cli, crayon (>= 1.3.4), fansi, rlang (>= 0.3.0), utf8 (>=
        1.1.0), vctrs (>= 0.2.0)
Suggests: knitr, lubridate, testthat (>= 2.0.0), withr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
Collate: 'capital.R' 'compat-lifecycle.R' 'compat-purrr.R' 'dim.R'
        'empty-data.R' 'extent.R' 'lengths.R' 'multi.R' 'ornament.R'
        'pillar-package.R' 'pillar.R' 'rowid-capital.R' 'rowid-data.R'
        'rowid-title.R' 'rowid-type.R' 'scientific.R' 'shaft.R'
        'shaft-simple.R' 'sigfig.R' 'spark-bar.R' 'spark-line.R'
        'strrep.R' 'styles.R' 'testthat.R' 'tick.R' 'title.R'
        'type-sum.R' 'type.R' 'utils.R' 'vctrs.R' 'width.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2019-12-19 23:39:03 UTC; kirill
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2019-12-20 06:30:11 UTC

=== debian/changelog ===
r-cran-pillar (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.3
  * Update Breaks: for r-cran-tibble as the 1.4 series appear to cause the
    tests for tibble 2.0 to fail.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 01 Jan 2020 20:36:27 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Breaks: r-cran-tibble (<< 1.4.2~)
+Breaks: r-cran-tibble (<< 2.1~)
 Description: GNU R coloured formatting for columns
  This GNU R package provides a 'pillar' generic designed for formatting
  columns of data using the full range of colours provided by modern

## r-cran-pillar 1.4.4

=== debian/changelog ===
r-cran-pillar (1.4.4-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:29:03 +0000

r-cran-pillar (1.4.4-2) unstable; urgency=medium

  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 23:08:34 +0200

r-cran-pillar (1.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 10 May 2020 09:11:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-cli,
@@ -12,10 +13,11 @@
                r-cran-rlang,
                r-cran-utf8,
                r-cran-vctrs
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar
+Rules-Requires-Root: no
 
 Package: r-cran-pillar
 Architecture: all

## r-cran-pillar 1.4.7

=== DESCRIPTION ===
Package: pillar
Title: Coloured Formatting for Columns
Version: 1.4.7
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides 'pillar' and 'colonnade' generics designed
    for formatting columns of data using the full range of colours
    provided by modern terminals.
License: GPL-3
URL: https://github.com/r-lib/pillar
BugReports: https://github.com/r-lib/pillar/issues
Imports: cli, crayon (>= 1.3.4), ellipsis, fansi, lifecycle, rlang (>=
        0.3.0), utf8 (>= 1.1.0), vctrs (>= 0.2.0)
Suggests: bit64, knitr, lubridate, testthat (>= 2.0.0), withr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1.9000
NeedsCompilation: no
Packaged: 2020-11-20 06:09:25 UTC; kirill
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2020-11-20 06:50:02 UTC

=== debian/changelog ===
r-cran-pillar (1.4.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2020 11:30:06 +0100

r-cran-pillar (1.4.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 15:33:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli,
                r-cran-crayon (>= 1.3.4),
+               r-cran-ellipsis,
                r-cran-fansi,
+               r-cran-lifecycle,
                r-cran-rlang,
                r-cran-utf8,
                r-cran-vctrs
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar

## r-cran-pillar 1.6.4+dfsg

=== DESCRIPTION ===
Package: pillar
Title: Coloured Formatting for Columns
Version: 1.6.4
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides 'pillar' and 'colonnade' generics designed
    for formatting columns of data using the full range of colours
    provided by modern terminals.
License: MIT + file LICENSE
URL: https://pillar.r-lib.org/, https://github.com/r-lib/pillar
BugReports: https://github.com/r-lib/pillar/issues
Imports: cli, crayon (>= 1.3.4), ellipsis (>= 0.3.2), fansi, lifecycle,
        rlang (>= 0.3.0), utf8 (>= 1.1.0), utils, vctrs (>= 0.3.8)
Suggests: bit64, debugme, DiagrammeR, dplyr, formattable, ggplot2,
        knitr, lubridate, nycflights13, palmerpenguins, rmarkdown,
        scales, stringi, survival, testthat (>= 3.0.2), tibble, units
        (>= 0.7.2), withr
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: format_multi_fuzz, format_multi_fuzz_2,
        format_multi, ctl_colonnade, ctl_colonnade_1, ctl_colonnade_2
NeedsCompilation: no
Packaged: 2021-10-18 19:26:34 UTC; kirill
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2021-10-18 19:50:01 UTC

=== debian/changelog ===
r-cran-pillar (1.6.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 16:00:07 +0000

r-cran-pillar (1.6.3+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:19:34 +0200

r-cran-pillar (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 09:25:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                dh-r,
                r-base-dev,
                r-cran-cli,
-               r-cran-crayon (>= 1.3.4),
-               r-cran-ellipsis,
+               r-cran-crayon,
+               r-cran-ellipsis (>= 0.3.2),
                r-cran-fansi,
                r-cran-lifecycle,
                r-cran-rlang,
                r-cran-utf8,
-               r-cran-vctrs
-Standards-Version: 4.5.1
+               r-cran-vctrs (>= 0.3.8)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar

## r-cran-pillar 1.7.0%2Bdfsg

=== DESCRIPTION ===
Package: pillar
Title: Coloured Formatting for Columns
Version: 1.7.0
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides 'pillar' and 'colonnade' generics designed
    for formatting columns of data using the full range of colours
    provided by modern terminals.
License: MIT + file LICENSE
URL: https://pillar.r-lib.org/, https://github.com/r-lib/pillar
BugReports: https://github.com/r-lib/pillar/issues
Imports: cli (>= 2.3.0), crayon (>= 1.3.4), ellipsis (>= 0.3.2), fansi,
        glue, lifecycle, rlang (>= 0.3.0), utf8 (>= 1.1.0), utils,
        vctrs (>= 0.3.8)
Suggests: bit64, debugme, DiagrammeR, dplyr, formattable, ggplot2,
        knitr, lubridate, nanotime, nycflights13, palmerpenguins,
        rmarkdown, scales, stringi, survival, testthat (>= 3.1.1),
        tibble, units (>= 0.7.2), vdiffr, withr
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: format_multi_fuzz, format_multi_fuzz_2,
        format_multi, ctl_colonnade, ctl_colonnade_1, ctl_colonnade_2
Config/autostyle/scope: line_breaks
Config/autostyle/strict: true
Config/gha/extra-packages: DiagrammeR=?ignore-before-r=3.5.0
NeedsCompilation: no
Packaged: 2022-02-01 07:58:34 UTC; kirill
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2022-02-01 08:30:02 UTC

=== debian/changelog ===
r-cran-pillar (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 23:00:35 +0100

r-cran-pillar (1.6.5+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.6.5+dfsg
  * d/control: Update with dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Sat, 29 Jan 2022 22:53:00 +0530

## r-cran-pillar 1.7.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli,
+               r-cran-cli (>= 2.3.0),
                r-cran-crayon,
                r-cran-ellipsis (>= 0.3.2),
                r-cran-fansi,
+               r-cran-glue,
                r-cran-lifecycle,
                r-cran-rlang,
                r-cran-utf8,

## r-cran-pillar 1.8.1%2Bdfsg

=== DESCRIPTION ===
Package: pillar
Title: Coloured Formatting for Columns
Version: 1.8.1
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "kirill@cynkra.com",
             comment = c(ORCID = "0000-0002-1416-3412")),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides 'pillar' and 'colonnade' generics designed
    for formatting columns of data using the full range of colours
    provided by modern terminals.
License: MIT + file LICENSE
URL: https://pillar.r-lib.org/, https://github.com/r-lib/pillar
BugReports: https://github.com/r-lib/pillar/issues
Imports: cli (>= 2.3.0), fansi, glue, lifecycle, rlang (>= 1.0.2), utf8
        (>= 1.1.0), utils, vctrs (>= 0.3.8)
Suggests: bit64, debugme, DiagrammeR, dplyr, formattable, ggplot2,
        knitr, lubridate, nanotime, nycflights13, palmerpenguins,
        rmarkdown, scales, stringi, survival, testthat (>= 3.1.1),
        tibble, units (>= 0.7.2), vdiffr, withr
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.1
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: format_multi_fuzz, format_multi_fuzz_2,
        format_multi, ctl_colonnade, ctl_colonnade_1, ctl_colonnade_2
Config/autostyle/scope: line_breaks
Config/autostyle/strict: true
Config/gha/extra-packages: DiagrammeR=?ignore-before-r=3.5.0
NeedsCompilation: no
Packaged: 2022-08-18 16:02:46 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2022-08-19 08:40:07 UTC

## r-cran-pillar 1.8.1+dfsg

=== debian/changelog ===
r-cran-pillar (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 09:19:01 +0200

r-cran-pillar (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 07:10:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,13 @@
                dh-r,
                r-base-dev,
                r-cran-cli (>= 2.3.0),
-               r-cran-crayon,
-               r-cran-ellipsis (>= 0.3.2),
                r-cran-fansi,
                r-cran-glue,
                r-cran-lifecycle,
-               r-cran-rlang,
+               r-cran-rlang (>= 1.0.2),
                r-cran-utf8,
                r-cran-vctrs (>= 0.3.8)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-lubridate
Restrictions: allow-stderr

## r-cran-pillar 1.9.0%2Bdfsg

=== debian/changelog ===
r-cran-pillar (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 12:40:31 +0200

## r-cran-pillar 1.9.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pillar
 Title: Coloured Formatting for Columns
-Version: 1.8.1
+Version: 1.9.0
 Authors@R: 
     c(person(given = "Kirill",
              family = "M\u00fcller",
@@ -19,14 +19,14 @@
 URL: https://pillar.r-lib.org/, https://github.com/r-lib/pillar
 BugReports: https://github.com/r-lib/pillar/issues
 Imports: cli (>= 2.3.0), fansi, glue, lifecycle, rlang (>= 1.0.2), utf8
-        (>= 1.1.0), utils, vctrs (>= 0.3.8)
-Suggests: bit64, debugme, DiagrammeR, dplyr, formattable, ggplot2,
+        (>= 1.1.0), utils, vctrs (>= 0.5.0)
+Suggests: bit64, DBI, debugme, DiagrammeR, dplyr, formattable, ggplot2,
         knitr, lubridate, nanotime, nycflights13, palmerpenguins,
         rmarkdown, scales, stringi, survival, testthat (>= 3.1.1),
         tibble, units (>= 0.7.2), vdiffr, withr
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Config/testthat/start-first: format_multi_fuzz, format_multi_fuzz_2,
@@ -34,11 +34,12 @@
 Config/autostyle/scope: line_breaks
 Config/autostyle/strict: true
 Config/gha/extra-packages: DiagrammeR=?ignore-before-r=3.5.0
+Config/Needs/website: tidyverse/tidytemplate
 NeedsCompilation: no
-Packaged: 2022-08-18 16:02:46 UTC; kirill
+Packaged: 2023-03-21 08:42:46 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   Hadley Wickham [aut],
   RStudio [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2022-08-19 08:40:07 UTC
+Date/Publication: 2023-03-22 08:10:02 UTC

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli (>= 2.3.0),
+               r-cran-cli,
                r-cran-fansi,
                r-cran-glue,
                r-cran-lifecycle,
                r-cran-rlang (>= 1.0.2),
                r-cran-utf8,
-               r-cran-vctrs (>= 0.3.8)
-Standards-Version: 4.6.1
+               r-cran-vctrs (>= 0.5.0)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar
@@ -26,7 +26,6 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Breaks: r-cran-tibble (<< 2.1~)
 Description: GNU R coloured formatting for columns
  This GNU R package provides a 'pillar' generic designed for formatting
  columns of data using the full range of colours provided by modern

## r-cran-pillar 1.10.1+dfsg

=== debian/changelog ===
r-cran-pillar (1.10.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:32:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,12 @@
                dh-r,
                r-base-dev,
                r-cran-cli,
-               r-cran-fansi,
                r-cran-glue,
                r-cran-lifecycle,
                r-cran-rlang (>= 1.0.2),
                r-cran-utf8,
                r-cran-vctrs (>= 0.5.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64,
        r-cran-dbi,
        r-cran-diagrammer,
        r-cran-dplyr,
        r-cran-formattable,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-lubridate,
        r-cran-nanotime,
        r-cran-palmerpenguins,
        r-cran-rmarkdown,
        r-cran-scales,
        r-cran-stringi,
        r-cran-survival,
        r-cran-testthat (>= 3.1.1),
        r-cran-tibble,
        r-cran-units (>= 0.7.2),
        r-cran-vdiffr,
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/pillar_([-\d.]*)\.tar\.gz

## r-cran-pillar 1.11.1+dfsg

=== debian/changelog ===
r-cran-pillar (1.11.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Jan 2026 14:49:48 +0900

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
                r-cran-cli,
                r-cran-glue,
                r-cran-lifecycle,
-               r-cran-rlang (>= 1.0.2),
+               r-cran-rlang,
                r-cran-utf8,
-               r-cran-vctrs (>= 0.5.0)
-Standards-Version: 4.7.0
+               r-cran-vctrs,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pillar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pillar.git
 Homepage: https://cran.r-project.org/package=pillar
